Name:           python-elastic-transport
Version:        8.4.0
Release:        1%{dist}
Summary:        Transport classes and utilities shared among Python Elastic client libraries

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        Apache-2.0
URL:            https://github.com/elastic/elasticsearch-py
Source:         %{pypi_source elastic-transport}

BuildArch:      noarch
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-pip
BuildRequires:  python%{python3_pkgversion}-wheel
BuildRequires:  python%{python3_pkgversion}-pytest

# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'elastic-transport' generated automatically by pyp2spec.}


%description %_description

%package -n     python%{python3_pkgversion}-elastic-transport
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-elastic-transport}
Provides:       python3.9dist(elastic-transport) = %{version}
Requires:       python%{python3_pkgversion}-urllib3 >= 1.26.2, python%{python3_pkgversion}-urllib3 < 2

%description -n python%{python3_pkgversion}-elastic-transport %_description


%prep
%autosetup -p1 -n elastic-transport-%{version}




%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto




%files -n python%{python3_pkgversion}-elastic-transport
%{python3_sitelib}/elastic_transport/*
%{python3_sitelib}/elastic_transport-%{version}.dist-info/*


